Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.controller.base
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.playLoader.base
- minplayer.plugin

# Class minplayer.playLoader.base

Extends minplayer.display.
The play loader base class, which is used to control the busy cursor, big play button, and the opaque background which shows when the player is paused.
Defined in: minplayer.playLoader.base.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.playLoader.base(context, options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.
| preview The preview image.

Fields borrowed from class minplayer.plugin:
  lock, name, options, pluginReady, queue, triggered

Method Summary
Method Attributes | Method Name and Description
--- | ---
| checkVisibility() Hide or show certain elements based on the state of the busy and big play button.
| construct() The constructor.
| loadPreview() Loads the preview image.

Methods borrowed from class minplayer.display:
  fullscreen, getDisplay, getElements, getScaledRect, isFullScreen, isValid, onResize, toggleFullScreen
Methods borrowed from class minplayer.plugin:
  addPlugin, bind, checkQueue, destroy, get, loadPlugins, ready, trigger, unbind

Class Detail
minplayer.playLoader.base(context, options)

Parameters:
{object} context
  The jQuery context.
{object} options
  This components options.

Field Detail
constructor
Reset the constructor.

preview
The preview image.
Method Detail
checkVisibility()
Hide or show certain elements based on the state of the busy and big play button.

construct()
The constructor.

loadPreview()
Loads the preview image.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Mar 06 2012 19:40:59 GMT-0800 (PST)